# c4model

## Presentation
This package implements `elements` and `boundaries` coming from the [C4 Model](https://c4model.com).

## Bootstrap

The bootstrap may provide PlantUML artifacts like constants, procedures or style statements.

```plantuml
' loads the c4model bootstrap
include('c4model/bootstrap')
```



# Modules

The package provides 2 modules.

- [c4model/Element](../c4model/Element/README.md) with 8 items
- [c4model/Boundary](../c4model/Boundary/README.md) with 4 items



# Examples

The package provides 6 examples.

## Deployment diagram

![Deployment diagram](../c4model/deployment_diagram.png)<br>
[The source file.](../c4model/deployment_diagram.puml)

## Dynamic diagram

![Dynamic diagram](../c4model/dynamic_diagram.png)<br>
[The source file.](../c4model/dynamic_diagram.puml)

## Level 1 System Context

![Level 1 System Context](../c4model/level_1_system_context.png)<br>
[The source file.](../c4model/level_1_system_context.puml)

## Level 2 Container

![Level 2 Container](../c4model/level_2_container.png)<br>
[The source file.](../c4model/level_2_container.puml)

## Level 3 Component

![Level 3 Component](../c4model/level_3_component.png)<br>
[The source file.](../c4model/level_3_component.puml)

## System Landscape diagram

![System Landscape diagram](../c4model/system_landscape_diagram.png)<br>
[The source file.](../c4model/system_landscape_diagram.puml)



